.cursor {
    width: 40px;
    z-index: 12;
    height: 40px;
    border-radius: 50%;
    position: absolute;
    pointer-events: none;
    border: 1px solid $white;
    transition-duration: 200ms;
    transition-timing-function: ease-out;
    display: none;

    @media (min-width: $lg) {
        display: block;
    }

    &::after {
        content: "";
        width: 40px;
        height: 40px;
        position: absolute;
        border: 4px solid $gallery;
        border-radius: 50%;
        opacity: 0.5;
        top: -5px;
        left: -5px;
        animation: cursorPulsate 0.5s infinite alternate;
    }

    &__child {
        width: 5px;
        height: 5px;
        background-color: $black;
        border-radius: 50%;
        position: absolute;
        transition-duration: 50ms;
        transition-timing-function: ease-out;
        pointer-events: none;
        z-index: 10;
        display: none;

        @media (min-width: $lg) {
            display: block;
        }
    }

    &--click {
        background-color: $egg-blue;
    }
}
